Name: sylpheed
Version: 1.0.4
Release: 0.fc2
Source: http://sylpheed.good-day.net/sylpheed/v1.0/%{name}-%{version}.tar.bz2
License: GPL
URL: http://sylpheed.good-day.net/
Group: Applications/Internet
Buildroot: %{_tmppath}/%{name}-root
BuildPreReq: openssl-devel pkgconfig gtk+-devel gdk-pixbuf-devel desktop-file-utils
%{?_with_gpgme:BuildRequires: gpgme-devel}

Patch: %{name}-0.8.9-ck.patch
Patch1: %{name}-0.8.9-ssl.patch
Patch2: sylpheed-default-browser.patch

Summary: A GTK+ based, lightweight, and fast email client.
%description
This program is an X based fast email client which has features
like:
o user-friendly and intuitive interface
o integrated NetNews client (partially implemented)
o ability of keyboard-only operation
o Mew/Wanderlust-like key bind
o multipart MIME
o unlimited multiple account handling
o message queueing
o assortment function
o XML-based address book

See /usr/share/doc/sylpheed*/README for more information.

%prep
%setup -q
%patch -p1 -b .ck
%patch1 -p1 -b .ssl
%patch2 -p1 -b .default-browser

%build
autoconf
%configure --enable-ssl %{?_with_gpgme:--enable-gpgme}
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 sylpheed-64x64.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/sylpheed.png
desktop-file-install --vendor redhat --dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category Application \
	--add-category Network \
	--add-category X-Red-Hat-Extra \
	sylpheed.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc COPYING ChangeLog ChangeLog.jp README README.jp TODO.jp
%{_bindir}/sylpheed
%{_datadir}/sylpheed
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Sun Mar 27 2005 Warren Togami <wtogami@redhat.com> - 1.0.4-0.fc2
- 1.0.4 fixes another buffer overflow

* Mon Mar 14 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.3-0.FC3
- New upstream release.
  - contains the possible buffer overflow issue. (#150688)
    CAN-2005-0667

* Wed Jun 23 2004 Akira TAGOH <tagoh@redhat.com> 0.9.12-1
- New upstream release.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Akira TAGOH <tagoh@redhat.com> 0.9.11-1
- New upstream release.

* Wed Mar 24 2004 Akira TAGOH <tagoh@redhat.com> 0.9.10-2
- sylpheed-default-browser.patch: applied to change the default browser to
  gnome-open. (#119007, Michael Schwendt)

* Wed Mar 10 2004 Akira TAGOH <tagoh@redhat.com> 0.9.10-1
- New upstream release.

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Akira TAGOH <tagoh@redhat.com> 0.9.9-1
- New upstream release.

* Fri Jan 30 2004 Akira TAGOH <tagoh@redhat.com> 0.9.8a-3
- don't strip the binary. Thanks to Michael Schwendt
- use upstream's icon for the desktop file.
- install the desktop file using desktop-install-file

* Thu Jan 29 2004 Akira TAGOH <tagoh@redhat.com> 0.9.8a-2
- add _with_gpgme to build enabled gpgme support.
  NOTE: it's disabled as default. just define _with_gpgme to enable it.

* Tue Dec 16 2003 Akira TAGOH <tagoh@redhat.com> 0.9.8a-1
- New upstream release.

* Thu Oct 16 2003 Akira TAGOH <tagoh@redhat.com> 0.9.7-1
- New upstream release.

* Thu Jul 31 2003 Akira TAGOH <tagoh@redhat.com> 0.9.4-1
- New upstream release.

* Tue Jul 22 2003 Nalin Dahyabhai <nalin@redhat.com> 0.9.3-2
- rebuild

* Wed Jul 09 2003 Akira TAGOH <tagoh@redhat.com> 0.9.3-1
- New upstream release.

* Mon Jun 09 2003 Akira TAGOH <tagoh@redhat.com> 0.9.2-1
- New upstream release.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 09 2003 Akira TAGOH <tagoh@redhat.com> 0.8.11-1
- New upstream release.
- use the appropriate macros.

* Mon Mar 17 2003 Akira TAGOH <tagoh@redhat.com> 0.8.9-3
- enabled ssl support.
- sylpheed-0.8.9-ssl.patch: applied to fix the include path and links the correct libraries.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 20 2003 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.9

* Tue Jan  7 2003 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.8

* Thu Dec 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.6

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild in current collinst

* Thu Aug 29 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.2 to fix gpg fatal bug
- Fix desktop file (#72882)

* Sat Aug  3 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.1, a bug fix release

* Mon Jul 15 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.8.0

* Fri Jul 12 2002 Yukihiro Nakai <ynakai@redhat.com>
- Apply Japanese utf8 mail patch

* Wed Jul 10 2002 Yukihiro Nakai <ynakai@redhat.com>
- strip the binary
- fix .desktop file (#66460)

* Wed Jun 26 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.7.8

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Feb 28 2002 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.7.2
- Install .desktop

* Thu Jan 31 2002 Yukihiro Nakai <ynakai@redhat.com>
- Rebuild on new environment.

* Sun Dec 16 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.6.6

* Fri Nov 30 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.6.5

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Chinese and Korean fix.
- Use %%find_lang

* Wed Jul 11 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add %%lang

* Mon Jul  9 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.5.0

* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.61, bug fixes

* Fri Jan 12 2001 Tim Powers <timp@redhat.com>
- updated to 0.4.52
 
* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- update to 0.4.4
- built for Powertools 7.1
- quiet setup
- minor specfile cleanup
- snipped some of the really old changelog, was very very long
- include the manual in the file list
- use %%configure and %%makeinstall as well as other predefined RPM
  macros whenever possible

* Wed Aug 30 2000 Yukihiro Nakai <ynakai@redhat.com> 
- Rebuild on Red Hat Linux 7.0 
 
* Tue Aug 29 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.28 
 
* Fri Aug 25 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.27 
 
* Sat Aug 19 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.26, and modified URL 
 
* Thu Aug 10 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.25 
 
* Fri Aug 4 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.24 
 
* Sat Jul 24 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.23 
 
* Sat Jul 20 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.22 
 
* Sun Jul 4 2000 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp> 
- updated to 0.3.21, and modified Summary 

